{% extends 'base.html' %}
{% load static %}

<link href="{% static 'default.css' %}" rel="stylesheet" type="text/css" media="all" />

{% block content %}
<link href="{% static 'style/todolist.css'%}" rel="stylesheet" type="text/css"/>
            <h1 style="color: #ffffff;">Assign a task</h1>
            <form action="" method="post">
            {% csrf_token %} <!-- csrf token for basic security -->
                <div class="inputContainer">
                    <input type="text" id="description" style="width: 520px" class="taskName" placeholder="What do you need to do?" name="description" required/>

                    <label for="description">Description</label>
                </div><br/>
                <div class="inputContainer half last">
                    <i class="fa fa-caret-down selectArrow"></i>
                    <select id="category" class="taskCategory" style="width: 520px" name="category_select" required>
                    <option class="disabled" value="">Choose a category</option>
                    {% for category in categories %}
                        <option class="" value="{{ category.name }}" name="{{ category.name }}">{{ category.name }}</option>
                    {% endfor %}
                    </select>
                    <label for="category">Category</label>
                </div>
                <div class="inputContainer half last right">
                    <input type="date" id="dueDate" class="taskDate" style="width: 520px" name="date" required>
                    <label for="dueDate">Due Date</label>
                </div>
                <div class="inputContainer half last">
                    <i class="fa fa-caret-down selectArrow"></i>
                    <select id="employee" class="taskCategory" style="width: 520px" name="employee_select" required>
                    <option class="disabled" value="">Choose an employee</option>
                    {% for employee in employees %}
                        <option class="" value="{{ employee.id}}"
                                name="{{ employee.id}}">{{ employee.lastname}} {{employee.firstname }}</option>
                    {% endfor %}
                    </select>
                    <label for="employee">Employee</label>
                </div>
                <div class="row">
                    <button class="taskAdd" name="taskAdd" type="submit"><i class="fa fa-plus icon"></i>Add task</button>
                    <button class="taskDelete" name="taskDelete" formnovalidate="" type="submit" onclick="$('input#sublist').click();"><i class="fa fa-trash-o icon"></i>Delete Tasks</button>
                </div>
            <ul class="taskList">
            {% for todo in todos %} <!-- django template lang - for loop -->
                <li class="taskItem">
                    <input type="checkbox" name="checkedbox" id="{{ todo.id }}" value="{{ todo.id }}">
                    <label for="{{ todo.id }}"><span class="complete-">{{ todo.title }}</span></label>
                    <span class="category-{{ todo.category }}">{{ todo.category }}</span>
                    <strong class="taskDate"><i class="fa fa-calendar"></i>{{ todo.created }} - {{ todo.due_date }}</strong>
                </li>
            {% endfor %}
            </ul><!-- taskList -->4
            </form>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
{% endblock %}

{%block sidebar %}
{% include 'menu.html' %}
{% endblock %}
